package fxKohtaushallinta;

import javafx.fxml.FXML;
import javafx.scene.control.Button;
import fi.jyu.mit.fxgui.Dialogs;

/**
 * @author jlipi
 * @version 26.1.2025
 *
 */
public class KohtaushallintaGUIController {
    private String kohtauslista = "kohtaus";
    private String hahmolista = "hahmo";
    private String asialista = "asia/esine";
    
    @FXML private Button btnUusiLista;
    
    
    public void handleUusiLista() {
        uusiLista();
    }
    
    public void handleAvaaLista() {
        //
    }
    
    public void handlePoistaHahmo() {
        poistaTietue(hahmolista, 0);
    }
    
    public void handlePoistaKohtaus() {
        poistaTietue(kohtauslista, 0);
    }
    
    
    //====================================
    
    private void uusiLista() {
        Dialogs.showQuestionDialog("Uusi lista", "Luodaan uusi kohtauslista, oletko varma?", "Kyllä", "En ole");
        //Dialogs.showMessageDialog("Ei vielä käytössä");
    }
    
    
    /**
     * Poistaa tietueen halutusta taulusta
     * @param taulu tietueen sisältävä taulu
     * @param indeksi poistettavan tietueen indeksi
     */
    private void poistaTietue(String taulu, int indeksi) {
        String poistettava = "valittu_tietue";
        Dialogs.showQuestionDialog("Poistetaan valinta", "Poistetaan " + poistettava + ". Oletko varma?" , "Kyllä", "En ole");
    }
      
}